curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/integrations/health' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"status": "healthy",
"latencyMs": 250,
"details": "string"
}
]
Run health checks for configured integrations for a tenant.
Integration health checks
GET
/
v1
/
tenants
/
{tenant_id}
/
integrations
/
health
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/integrations/health' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"status": "healthy",
"latencyMs": 250,
"details": "string"
}
]
Path parameters
string
required
Tenant identifier
Response
object[] — each element:
string
required
Integration identifier in snake_case (crate::http::integrations::IntegrationId), e.g.
shopify, netsuite, dcl, fishbowl, capacity, stateset_api, amazon, tiktok, walmartstring
required
string
required
integer
string
Status codes
| Code | Meaning |
|---|---|
200 | Integration health checks |
401 | Unauthorized |
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/integrations/health' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"status": "healthy",
"latencyMs": 250,
"details": "string"
}
]
Last modified on August 31, 2026